pat_trie_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_ASSERT_NODE_VALID(X)
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_PAT_TRIE_NAME
#define | PB_DS_PAT_TRIE_TRAITS_BASE
#define | PB_DS_RECURSIVE_COUNT_LEAFS(X)

## Variables

template<typename Key, typename Mapped, typename Node_And_It_Traits, typename _Alloc>
pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::head_allocator | __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_head_allocator
template<typename Key, typename Mapped, typename Node_And_It_Traits, typename _Alloc>
pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::inode_allocator | __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_inode_allocator
template<typename Key, typename Mapped, typename Node_And_It_Traits, typename _Alloc>
pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::leaf_allocator | __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_leaf_allocator

## Detailed Description

Contains an implementation class for a patricia tree.

Definition in file pat_trie_.hpp.

## Macro Definition Documentation

## PB_DS_ASSERT_NODE_VALID

#define PB_DS_ASSERT_NODE_VALID | ( |  | X | ) |

Definition at line 570 of file pat_trie_.hpp.

## PB_DS_CLASS_C_DEC

#define PB_DS_CLASS_C_DEC

Definition at line 77 of file pat_trie_.hpp.

## PB_DS_CLASS_T_DEC

#define PB_DS_CLASS_T_DEC

Definition at line 73 of file pat_trie_.hpp.

## PB_DS_PAT_TRIE_NAME

#define PB_DS_PAT_TRIE_NAME

Definition at line 66 of file pat_trie_.hpp.

## PB_DS_PAT_TRIE_TRAITS_BASE

#define PB_DS_PAT_TRIE_TRAITS_BASE

Definition at line 80 of file pat_trie_.hpp.

## PB_DS_RECURSIVE_COUNT_LEAFS

#define PB_DS_RECURSIVE_COUNT_LEAFS | ( |  | X | ) |

Definition at line 573 of file pat_trie_.hpp.

## Variable Documentation

## pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_head_allocator

template<typename Key, typename Mapped, typename Node_And_It_Traits, typename _Alloc>

pat_trie_map<Key,Mapped,Node_And_It_Traits,_Alloc>::head_allocator __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_head_allocator

Definition at line 46 of file pat_trie_.hpp.

## pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_inode_allocator

template<typename Key, typename Mapped, typename Node_And_It_Traits, typename _Alloc>

pat_trie_map<Key,Mapped,Node_And_It_Traits,_Alloc>::inode_allocator __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_inode_allocator

Definition at line 50 of file pat_trie_.hpp.

## pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_leaf_allocator

template<typename Key, typename Mapped, typename Node_And_It_Traits, typename _Alloc>

pat_trie_map<Key,Mapped,Node_And_It_Traits,_Alloc>::leaf_allocator __gnu_pbds::detail::pat_trie_map< Key, Mapped, Node_And_It_Traits, _Alloc >::s_leaf_allocator

Definition at line 54 of file pat_trie_.hpp.